LFR-FSW - Bug #349

Les paquets SWF_FO0/F1/F2 du mode NORMAL ne sont pas générés en SBM2
04/03/2015 05:45 PM - bruno katra

Status: Closed Start date: 04/03/2015
Priority: Urgent Due date:

Assignee: paul leroy % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Observé pendant tests de calibration en SBM2 (CTC-003 et CTC-004) : le paramétres sy_lfr_n_swf p a été ramené a 16s et le mode
SBM2 tourne pdt 26 secondes mais les paguets SWF ne sont pas générés.

Contexte :

FSW 2.0.2.2

VHDL 1.1.63

EM 1

SocExplorer 0.4.7

StarDundee spacewire

Mini-LFR n°5 en mode TIMEGEN

History

#1 - 04/03/2015 05:46 PM - bruno katra

- Description updated

#2 - 05/03/2015 07:51 AM - paul leroy

- Status changed from New to Resolved

VHDI 0.1.63, FSW 2.0.2.3

J'ai refait le test, les snapshots sont 1a, mais les premiers snapshots arrivent apres le délais de 26 secondes. C'est d0 au fait que le snapshot est
reconstruit a partir des formes d'onde continues a f2. Il faut avoir suffisament de buffer a f2 enregistrés pour étre str de pouvoir reconstituer un
snapshot (2048 points <=> 8 secondes de données) => 31.5 secondes pour le premier snapshot si tu mets 16 secondes comme période de
répétition.

Je te montrerai sur un papier si ce n'est pas clair. Il faudra peut-étre ajouter ¢ca au manuel de I'utilisateur.

#3 - 06/03/2015 04:10 PM - Veronique bouzid
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

En effet, pour observer les SWF en SBM2 lorsqu'ils sont configurés sur 16s : il faut 3 buffers CWF_F2 = 3*10.5s =31.5s minimum d'acquisition car le
swf est centré.

Plus largement, cela dénote du fait que le mode NORMAL a un comportement différent selon le mode concurrent : cela devra figurer dans la SRS et
le user manual. Ce point est suivi maintenant dans #351 .
